diff --git a/base/server/python/pki/server/deployment/pkihelper.py b/base/server/python/pki/server/deployment/pkihelper.py
index e33d43f524283465618cdffc7fbc41a2753dcf1c..713e7a381ebb376784582b36040e36e30fc79304 100644
--- a/base/server/python/pki/server/deployment/pkihelper.py
+++ b/base/server/python/pki/server/deployment/pkihelper.py
@@ -1059,15 +1124,17 @@ class Directory:
                 config.pki_log.error(
                     log.PKI_DIRECTORY_ALREADY_EXISTS_NOT_A_DIRECTORY_1, name,
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                if critical_failure == True:
-                    raise Exception(log.PKI_DIRECTORY_ALREADY_EXISTS_NOT_A_DIRECTORY_1 % name)
+                if critical_failure:
+                    raise Exception(
+                        log.PKI_DIRECTORY_ALREADY_EXISTS_NOT_A_DIRECTORY_1 %
+                        name)
         except OSError as exc:
             if exc.errno == errno.EEXIST:
                 pass
             else:
                 config.pki_log.error(log.PKI_OSERROR_1, exc,
                                      extra=config.PKI_INDENTATION_LEVEL_2)
-                if critical_failure == True:
+                if critical_failure:
                     raise
         return
 
@@ -1080,8 +1147,10 @@ class Directory:
                     config.pki_log.error(
                         log.PKI_DIRECTORY_ALREADY_EXISTS_NOT_A_DIRECTORY_1,
                         name, extra=config.PKI_INDENTATION_LEVEL_2)
-                    if critical_failure == True:
-                        raise Exception(log.PKI_DIRECTORY_ALREADY_EXISTS_NOT_A_DIRECTORY_1 % name)
+                    if critical_failure:
+                        raise Exception(
+                            log.PKI_DIRECTORY_ALREADY_EXISTS_NOT_A_DIRECTORY_1 %
+                            name)
                 # Always re-process each directory whether it needs it or not
                 if not silent:
                     config.pki_log.info(log.PKIHELPER_MODIFY_DIR_1, name,
@@ -1092,9 +1161,9 @@ class Directory:
                                          extra=config.PKI_INDENTATION_LEVEL_3)
                 os.chmod(name, perms)
                 # chown <uid>:<gid> <name>
-                if uid == None:
+                if uid is None:
                     uid = self.identity.get_uid()
-                if gid == None:
+                if gid is None:
                     gid = self.identity.get_gid()
                 if not silent:
                     config.pki_log.debug(log.PKIHELPER_CHOWN_3,
@@ -1117,12 +1186,13 @@ class Directory:
                 config.pki_log.error(
                     log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1, name,
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                if critical_failure == True:
-                    raise Exception(log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1 % name)
+                if critical_failure:
+                    raise Exception(
+                        log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1 % name)
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return
 
@@ -1134,7 +1204,7 @@ class Directory:
                     log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1, name,
                     extra=config.PKI_INDENTATION_LEVEL_2)
             else:
-                if recursive_flag == True:
+                if recursive_flag:
                     # rm -rf <name>
                     config.pki_log.info(log.PKIHELPER_RM_RF_1, name,
                                         extra=config.PKI_INDENTATION_LEVEL_2)
@@ -1147,7 +1217,7 @@ class Directory:
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return
 
@@ -1177,28 +1247,29 @@ class Directory:
                                  extra=config.PKI_INDENTATION_LEVEL_2)
             raise
 
-    def set_mode(self, name, uid=None, gid=None,
-                 dir_perms=config.PKI_DEPLOYMENT_DEFAULT_DIR_PERMISSIONS,
-                 file_perms=config.PKI_DEPLOYMENT_DEFAULT_FILE_PERMISSIONS,
-                 symlink_perms=\
-                     config.PKI_DEPLOYMENT_DEFAULT_SYMLINK_PERMISSIONS,
-                 dir_acls=None, file_acls=None, symlink_acls=None,
-                 recursive_flag=True, critical_failure=True):
+    def set_mode(
+            self, name, uid=None, gid=None,
+            dir_perms=config.PKI_DEPLOYMENT_DEFAULT_DIR_PERMISSIONS,
+            file_perms=config.PKI_DEPLOYMENT_DEFAULT_FILE_PERMISSIONS,
+            symlink_perms=config.PKI_DEPLOYMENT_DEFAULT_SYMLINK_PERMISSIONS,
+            dir_acls=None, file_acls=None, symlink_acls=None,
+            recursive_flag=True, critical_failure=True):
         try:
             if not os.path.exists(name) or not os.path.isdir(name):
                 config.pki_log.error(
                     log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1, name,
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1 % name)
+                raise Exception(
+                    log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1 % name)
             else:
                 config.pki_log.info(
                     log.PKIHELPER_SET_MODE_1, name,
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                if uid == None:
+                if uid is None:
                     uid = self.identity.get_uid()
-                if gid == None:
+                if gid is None:
                     gid = self.identity.get_gid()
-                if recursive_flag == True:
+                if recursive_flag:
                     for root, dirs, files in os.walk(name):
                         for name in files:
                             entity = os.path.join(root, name)
@@ -1208,12 +1279,14 @@ class Directory:
                                     log.PKIHELPER_IS_A_FILE_1, temp_file,
                                     extra=config.PKI_INDENTATION_LEVEL_3)
                                 # chmod <file_perms> <name>
-                                config.pki_log.debug(log.PKIHELPER_CHMOD_2,
+                                config.pki_log.debug(
+                                    log.PKIHELPER_CHMOD_2,
                                     file_perms, temp_file,
                                     extra=config.PKI_INDENTATION_LEVEL_3)
                                 os.chmod(temp_file, file_perms)
                                 # chown <uid>:<gid> <name>
-                                config.pki_log.debug(log.PKIHELPER_CHOWN_3,
+                                config.pki_log.debug(
+                                    log.PKIHELPER_CHOWN_3,
                                     uid, gid, temp_file,
                                     extra=config.PKI_INDENTATION_LEVEL_3)
                                 os.chown(temp_file, uid, gid)
@@ -1239,7 +1312,8 @@ class Directory:
                                 #            run directly against symbolic
                                 #            links!
                                 # chown -h <uid>:<gid> <symlink>
-                                config.pki_log.debug(log.PKIHELPER_CHOWN_H_3,
+                                config.pki_log.debug(
+                                    log.PKIHELPER_CHOWN_H_3,
                                     uid, gid, symlink,
                                     extra=config.PKI_INDENTATION_LEVEL_3)
                                 os.lchown(symlink, uid, gid)
@@ -1260,12 +1334,14 @@ class Directory:
                                 log.PKIHELPER_IS_A_DIRECTORY_1, temp_dir,
                                 extra=config.PKI_INDENTATION_LEVEL_3)
                             # chmod <dir_perms> <name>
-                            config.pki_log.debug(log.PKIHELPER_CHMOD_2,
+                            config.pki_log.debug(
+                                log.PKIHELPER_CHMOD_2,
                                 dir_perms, temp_dir,
                                 extra=config.PKI_INDENTATION_LEVEL_3)
                             os.chmod(temp_dir, dir_perms)
                             # chown <uid>:<gid> <name>
-                            config.pki_log.debug(log.PKIHELPER_CHOWN_3,
+                            config.pki_log.debug(
+                                log.PKIHELPER_CHOWN_3,
                                 uid, gid, temp_dir,
                                 extra=config.PKI_INDENTATION_LEVEL_3)
                             os.chown(temp_dir, uid, gid)
@@ -1309,7 +1385,7 @@ class Directory:
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
 
     def copy(self, old_name, new_name, uid=None, gid=None,
@@ -1323,15 +1399,17 @@ class Directory:
                 config.pki_log.error(
                     log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1, old_name,
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                raise Exception(log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1 % old_name)
+                raise Exception(
+                    log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1 % old_name)
             else:
                 if os.path.exists(new_name):
                     if not overwrite_flag:
                         config.pki_log.error(
                             log.PKI_DIRECTORY_ALREADY_EXISTS_1, new_name,
                             extra=config.PKI_INDENTATION_LEVEL_2)
-                        raise Exception(log.PKI_DIRECTORY_ALREADY_EXISTS_1 % new_name)
-                if recursive_flag == True:
+                        raise Exception(
+                            log.PKI_DIRECTORY_ALREADY_EXISTS_1 % new_name)
+                if recursive_flag:
                     # cp -rp <old_name> <new_name>
                     config.pki_log.info(log.PKIHELPER_CP_RP_2,
                                         old_name, new_name,
@@ -1363,15 +1441,16 @@ class Directory:
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         except shutil.Error as exc:
             config.pki_log.error(log.PKI_SHUTIL_ERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return
 
+
 class File:
     """PKI Deployment File Class (also used for executables)"""
 
@@ -1395,9 +1474,9 @@ class File:
                                      extra=config.PKI_INDENTATION_LEVEL_3)
                 os.chmod(name, perms)
                 # chown <uid>:<gid> <name>
-                if uid == None:
+                if uid is None:
                     uid = self.identity.get_uid()
-                if gid == None:
+                if gid is None:
                     gid = self.identity.get_gid()
                 config.pki_log.debug(log.PKIHELPER_CHOWN_3,
                                      uid, gid, name,
@@ -1418,15 +1497,16 @@ class File:
                 config.pki_log.error(
                     log.PKI_FILE_ALREADY_EXISTS_NOT_A_FILE_1, name,
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                if critical_failure == True:
-                    raise Exception(log.PKI_FILE_ALREADY_EXISTS_NOT_A_FILE_1 % name)
+                if critical_failure:
+                    raise Exception(
+                        log.PKI_FILE_ALREADY_EXISTS_NOT_A_FILE_1 % name)
         except OSError as exc:
             if exc.errno == errno.EEXIST:
                 pass
             else:
                 config.pki_log.error(log.PKI_OSERROR_1, exc,
                                      extra=config.PKI_INDENTATION_LEVEL_2)
-                if critical_failure == True:
+                if critical_failure:
                     raise
         return
 
@@ -1439,8 +1519,9 @@ class File:
                     config.pki_log.error(
                         log.PKI_FILE_ALREADY_EXISTS_NOT_A_FILE_1,
                         name, extra=config.PKI_INDENTATION_LEVEL_2)
-                    if critical_failure == True:
-                        raise Exception(log.PKI_FILE_ALREADY_EXISTS_NOT_A_FILE_1 % name)
+                    if critical_failure:
+                        raise Exception(
+                            log.PKI_FILE_ALREADY_EXISTS_NOT_A_FILE_1 % name)
                 # Always re-process each file whether it needs it or not
                 if not silent:
                     config.pki_log.info(log.PKIHELPER_MODIFY_FILE_1, name,
@@ -1451,9 +1532,9 @@ class File:
                                          extra=config.PKI_INDENTATION_LEVEL_3)
                 os.chmod(name, perms)
                 # chown <uid>:<gid> <name>
-                if uid == None:
+                if uid is None:
                     uid = self.identity.get_uid()
-                if gid == None:
+                if gid is None:
                     gid = self.identity.get_gid()
                 if not silent:
                     config.pki_log.debug(log.PKIHELPER_CHOWN_3,
@@ -1476,12 +1557,12 @@ class File:
                 config.pki_log.error(
                     log.PKI_FILE_MISSING_OR_NOT_A_FILE_1, name,
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                if critical_failure == True:
+                if critical_failure:
                     raise Exception(log.PKI_FILE_MISSING_OR_NOT_A_FILE_1 % name)
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return
 
@@ -1500,7 +1581,7 @@ class File:
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return
 
@@ -1530,15 +1611,16 @@ class File:
                         config.pki_log.error(
                             log.PKI_FILE_ALREADY_EXISTS_1, new_name,
                             extra=config.PKI_INDENTATION_LEVEL_2)
-                        raise Exception(log.PKI_FILE_ALREADY_EXISTS_1 % new_name)
+                        raise Exception(
+                            log.PKI_FILE_ALREADY_EXISTS_1 % new_name)
                 # cp -p <old_name> <new_name>
                 config.pki_log.info(log.PKIHELPER_CP_P_2,
                                     old_name, new_name,
                                     extra=config.PKI_INDENTATION_LEVEL_2)
                 shutil.copy2(old_name, new_name)
-                if uid == None:
+                if uid is None:
                     uid = self.identity.get_uid()
-                if gid == None:
+                if gid is None:
                     gid = self.identity.get_gid()
                 # chmod <perms> <new_name>
                 config.pki_log.debug(log.PKIHELPER_CHMOD_2,
@@ -1564,19 +1646,19 @@ class File:
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         except shutil.Error as exc:
             config.pki_log.error(log.PKI_SHUTIL_ERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return
 
     def apply_slot_substitution(
-                         self, name, uid=None, gid=None,
-                         perms=config.PKI_DEPLOYMENT_DEFAULT_FILE_PERMISSIONS,
-                         acls=None, critical_failure=True):
+            self, name, uid=None, gid=None,
+            perms=config.PKI_DEPLOYMENT_DEFAULT_FILE_PERMISSIONS,
+            acls=None, critical_failure=True):
         try:
             if not os.path.exists(name) or not os.path.isfile(name):
                 config.pki_log.error(
@@ -1596,9 +1678,9 @@ class File:
                             extra=config.PKI_INDENTATION_LEVEL_3)
                         line = line.replace(self.slots[slot], self.mdict[slot])
                 sys.stdout.write(line)
-            if uid == None:
+            if uid is None:
                 uid = self.identity.get_uid()
-            if gid == None:
+            if gid is None:
                 gid = self.identity.get_gid()
             # chmod <perms> <name>
             config.pki_log.debug(log.PKIHELPER_CHMOD_2,
@@ -1624,20 +1706,20 @@ class File:
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         except shutil.Error as exc:
             config.pki_log.error(log.PKI_SHUTIL_ERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return
 
     def copy_with_slot_substitution(
-                         self, old_name, new_name, uid=None, gid=None,
-                         perms=config.PKI_DEPLOYMENT_DEFAULT_FILE_PERMISSIONS,
-                         acls=None, overwrite_flag=False,
-                         critical_failure=True):
+            self, old_name, new_name, uid=None, gid=None,
+            perms=config.PKI_DEPLOYMENT_DEFAULT_FILE_PERMISSIONS,
+            acls=None, overwrite_flag=False,
+            critical_failure=True):
         try:
             if not os.path.exists(old_name) or not os.path.isfile(old_name):
                 config.pki_log.error(
@@ -1650,7 +1732,8 @@ class File:
                         config.pki_log.error(
                             log.PKI_FILE_ALREADY_EXISTS_1, new_name,
                             extra=config.PKI_INDENTATION_LEVEL_2)
-                        raise Exception(log.PKI_FILE_ALREADY_EXISTS_1 % new_name)
+                        raise Exception(
+                            log.PKI_FILE_ALREADY_EXISTS_1 % new_name)
                 # copy <old_name> to <new_name> with slot substitutions
                 config.pki_log.info(log.PKIHELPER_COPY_WITH_SLOT_SUBSTITUTION_2,
                                     old_name, new_name,
@@ -1663,11 +1746,13 @@ class File:
                                     log.PKIHELPER_SLOT_SUBSTITUTION_2,
                                     self.slots[slot], self.mdict[slot],
                                     extra=config.PKI_INDENTATION_LEVEL_3)
-                                line = line.replace(self.slots[slot], self.mdict[slot])
+                                line = line.replace(
+                                    self.slots[slot],
+                                    self.mdict[slot])
                         FILE.write(line)
-                if uid == None:
+                if uid is None:
                     uid = self.identity.get_uid()
-                if gid == None:
+                if gid is None:
                     gid = self.identity.get_gid()
                 # chmod <perms> <new_name>
                 config.pki_log.debug(log.PKIHELPER_CHMOD_2,
@@ -1693,27 +1778,29 @@ class File:
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         except shutil.Error as exc:
             config.pki_log.error(log.PKI_SHUTIL_ERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return
 
-    def generate_noise_file(self, name, random_bytes, uid=None, gid=None,
+    def generate_noise_file(
+            self, name, random_bytes, uid=None, gid=None,
             perms=config.PKI_DEPLOYMENT_DEFAULT_FILE_PERMISSIONS,
             acls=None, critical_failure=True):
         try:
             if not os.path.exists(name):
                 # generating noise file called <name> and
                 # filling it with <random_bytes> random bytes
-                config.pki_log.info(log.PKIHELPER_NOISE_FILE_2, name, random_bytes,
-                                    extra=config.PKI_INDENTATION_LEVEL_2)
+                config.pki_log.info(
+                    log.PKIHELPER_NOISE_FILE_2, name, random_bytes,
+                    extra=config.PKI_INDENTATION_LEVEL_2)
                 open(name, "w").close()
                 with open(name, "w") as FILE:
-                    noise = ''.join(random.choice(string.ascii_letters + \
+                    noise = ''.join(random.choice(string.ascii_letters +
                                     string.digits) for x in range(random_bytes))
                     FILE.write(noise)
                 # chmod <perms> <name>
@@ -1721,9 +1808,9 @@ class File:
                                      extra=config.PKI_INDENTATION_LEVEL_3)
                 os.chmod(name, perms)
                 # chown <uid>:<gid> <name>
-                if uid == None:
+                if uid is None:
                     uid = self.identity.get_uid()
-                if gid == None:
+                if gid is None:
                     gid = self.identity.get_gid()
                 config.pki_log.debug(log.PKIHELPER_CHOWN_3,
                                      uid, gid, name,
@@ -1744,18 +1831,20 @@ class File:
                 config.pki_log.error(
                     log.PKI_FILE_ALREADY_EXISTS_NOT_A_FILE_1, name,
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                if critical_failure == True:
-                    raise Exception(log.PKI_FILE_ALREADY_EXISTS_NOT_A_FILE_1 % name)
+                if critical_failure:
+                    raise Exception(
+                        log.PKI_FILE_ALREADY_EXISTS_NOT_A_FILE_1 % name)
         except OSError as exc:
             if exc.errno == errno.EEXIST:
                 pass
             else:
                 config.pki_log.error(log.PKI_OSERROR_1, exc,
                                      extra=config.PKI_INDENTATION_LEVEL_2)
-                if critical_failure == True:
+                if critical_failure:
                     raise
         return
 
+
 class Symlink:
     """PKI Deployment Symbolic Link Class"""
 
@@ -1773,7 +1862,8 @@ class Symlink:
                         log.PKIHELPER_DANGLING_SYMLINK_2, link, name,
                         extra=config.PKI_INDENTATION_LEVEL_2)
                     if not allow_dangling_symlink:
-                        raise Exception("Dangling symlink " + link + " not allowed")
+                        raise Exception(
+                            "Dangling symlink " + link + " not allowed")
                 # ln -s <name> <link>
                 config.pki_log.info(log.PKIHELPER_LINK_S_2, name, link,
                                     extra=config.PKI_INDENTATION_LEVEL_2)
@@ -1782,9 +1872,9 @@ class Symlink:
                 #            implemented on Linux systems since 'chmod'
                 #            CANNOT be run directly against symbolic links!
                 # chown -h <uid>:<gid> <link>
-                if uid == None:
+                if uid is None:
                     uid = self.identity.get_uid()
-                if gid == None:
+                if gid is None:
                     gid = self.identity.get_gid()
                 config.pki_log.debug(log.PKIHELPER_CHOWN_H_3,
                                      uid, gid, link,
@@ -1806,15 +1896,16 @@ class Symlink:
                 config.pki_log.error(
                     log.PKI_SYMLINK_ALREADY_EXISTS_NOT_A_SYMLINK_1, link,
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                if critical_failure == True:
-                    raise Exception(log.PKI_SYMLINK_ALREADY_EXISTS_NOT_A_SYMLINK_1 % link)
+                if critical_failure:
+                    raise Exception(
+                        log.PKI_SYMLINK_ALREADY_EXISTS_NOT_A_SYMLINK_1 % link)
         except OSError as exc:
             if exc.errno == errno.EEXIST:
                 pass
             else:
                 config.pki_log.error(log.PKI_OSERROR_1, exc,
                                      extra=config.PKI_INDENTATION_LEVEL_2)
-                if critical_failure == True:
+                if critical_failure:
                     raise
         return
 
@@ -1826,8 +1917,10 @@ class Symlink:
                     config.pki_log.error(
                         log.PKI_SYMLINK_ALREADY_EXISTS_NOT_A_SYMLINK_1,
                         link, extra=config.PKI_INDENTATION_LEVEL_2)
-                    if critical_failure == True:
-                        raise Exception(log.PKI_SYMLINK_ALREADY_EXISTS_NOT_A_SYMLINK_1 % link)
+                    if critical_failure:
+                        raise Exception(
+                            log.PKI_SYMLINK_ALREADY_EXISTS_NOT_A_SYMLINK_1 %
+                            link)
                 # Always re-process each link whether it needs it or not
                 if not silent:
                     config.pki_log.info(log.PKIHELPER_MODIFY_SYMLINK_1, link,
@@ -1836,9 +1929,9 @@ class Symlink:
                 #            implemented on Linux systems since 'chmod'
                 #            CANNOT be run directly against symbolic links!
                 # chown -h <uid>:<gid> <link>
-                if uid == None:
+                if uid is None:
                     uid = self.identity.get_uid()
-                if gid == None:
+                if gid is None:
                     gid = self.identity.get_gid()
                 if not silent:
                     config.pki_log.debug(log.PKIHELPER_CHOWN_H_3,
@@ -1862,12 +1955,13 @@ class Symlink:
                 config.pki_log.error(
                     log.PKI_SYMLINK_MISSING_OR_NOT_A_SYMLINK_1, link,
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                if critical_failure == True:
-                    raise Exception(log.PKI_SYMLINK_MISSING_OR_NOT_A_SYMLINK_1 % link)
+                if critical_failure:
+                    raise Exception(
+                        log.PKI_SYMLINK_MISSING_OR_NOT_A_SYMLINK_1 % link)
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return
 
@@ -1886,7 +1980,7 @@ class Symlink:
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return
 
@@ -1901,6 +1995,7 @@ class Symlink:
                                  extra=config.PKI_INDENTATION_LEVEL_2)
             raise
 
+
 class War:
     """PKI Deployment War File Class"""
 
@@ -1914,14 +2009,16 @@ class War:
                     config.pki_log.error(
                         log.PKI_FILE_NOT_A_WAR_FILE_1,
                         name, extra=config.PKI_INDENTATION_LEVEL_2)
-                    if critical_failure == True:
+                    if critical_failure:
                         raise Exception(log.PKI_FILE_NOT_A_WAR_FILE_1 % name)
                 if not os.path.exists(path) or not os.path.isdir(path):
                     config.pki_log.error(
                         log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1,
                         path, extra=config.PKI_INDENTATION_LEVEL_2)
-                    if critical_failure == True:
-                        raise Exception(log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1, path)
+                    if critical_failure:
+                        raise Exception(
+                            log.PKI_DIRECTORY_MISSING_OR_NOT_A_DIRECTORY_1,
+                            path)
                 # jar -xf <name> -C <path>
                 config.pki_log.info(log.PKIHELPER_JAR_XF_C_2, name, path,
                                     extra=config.PKI_INDENTATION_LEVEL_2)
@@ -1933,25 +2030,26 @@ class War:
                 config.pki_log.error(
                     log.PKI_FILE_MISSING_OR_NOT_A_FILE_1, name,
                     extra=config.PKI_INDENTATION_LEVEL_2)
-                if critical_failure == True:
+                if critical_failure:
                     raise Exception(log.PKI_FILE_MISSING_OR_NOT_A_FILE_1, name)
         except OSError as exc:
             config.pki_log.error(log.PKI_OSERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         except zipfile.BadZipfile as exc:
             config.pki_log.error(log.PKI_BADZIPFILE_ERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         except zipfile.LargeZipFile as exc:
             config.pki_log.error(log.PKI_LARGEZIPFILE_ERROR_1, exc,
                                  extra=config.PKI_INDENTATION_LEVEL_2)
-            if critical_failure == True:
+            if critical_failure:
                 raise
         return
 
+
 class Password:
     """PKI Deployment Password Class"""
 
